Description

Hi,

There's no WOL magic packet function in the foreman web UI, but thanks to the puppet facts, foreman already has the hosts MAC

address, and therefore could easily send magic packets to wakup those hosts that are shut down and configured for WOL.

This could be use both in a host details with a button similar to the "power on" feature for the VMs, but also in the hosts summary

page for mass wakups if needed.

That's be great :]

Thing is there might also be people who configure their BMCs with foreman, and that would duplicate some features (or : the wakup

command could be sent using whatever/all available methods)

Regards

History

#1 - 06/14/2014 11:21 PM - Arnold Bechtoldt

+1

#2 - 03/16/2015 04:36 PM - Sean Alderman

+1

If I wanted to kicstart work on this idea, where would I look to get started?

#3 - 03/17/2015 05:28 AM - Dominic Cleal

- Description updated

- Category set to BMC

Sean Alderman wrote:

+1

If I wanted to kicstart work on this idea, where would I look to get started?

 Probably a new BMC provider to the smart proxy as Foreman already has support for powering on hosts by sending a BMC request to the smart

proxy.  Currently there's an IPMI and a local "shell" provider (https://github.com/theforeman/smart-proxy/tree/develop/modules/bmc).

#4 - 03/18/2015 09:37 PM - Corey Osman

We would have to assume WOL is enabled via config managment on the node.

We could then easily create a new provider called WOL that would only provide a single power function called on.

https://wiki.debian.org/WakeOnLan
#5 - 07/18/2016 02:46 AM - Lukas Kallies

+1

Because the Clients could be in different Networks, the Admin should be able to add WoL Proxies for specific Hosts/Groups.

#6 - 12/18/2018 11:54 AM - Marek Hulán

- Bugzilla link set to 1514524
